Subject: [icnrg] Adoption status of 'Alternative Delta Time Encoding for CCNx Using Compact Floating-Point Arithmetic'

From: Cenk Gündoğan <[email-masked]>
Date: Fri, 21 Jan 2022 15:55:28 +0100

Dear ICNRG,

we uploaded a new version of the time tlv draft.  There was a call for
adoption on 29 Jul 2020, which lost its momentum (probably due to the
challenging circumstances of the past years ..).  We want to ask whether
it's in the interest of the group and the chairs to reignite the call
for adoption?

The most important change of the new version is that we streamlined the
text on the compact time encoding (Sec. 4) with existing definitions in
ICNLoWPAN (RFC9139).

Cheers,
Cenk

PS: Here are the submission details:

A new version of I-D, draft-gundogan-icnrg-ccnx-timetlv-05.txt
has been successfully submitted by Cenk Gundogan and posted to the
IETF repository.

Name:		draft-gundogan-icnrg-ccnx-timetlv
Revision:	05
Title:		Alternative Delta Time Encoding for CCNx Using Compact Floating-Point Arithmetic
Document date:	2022-01-21
Group:		Individual Submission
Pages:		11
URL:            https://www.ietf.org/archive/id/draft-gundogan-icnrg-ccnx-timetlv-05.txt
Status:         https://datatracker.ietf.org/doc/draft-gundogan-icnrg-ccnx-timetlv/
Htmlized:       https://datatracker.ietf.org/doc/html/draft-gundogan-icnrg-ccnx-timetlv
Diff:           https://www.ietf.org/rfcdiff?url2=draft-gundogan-icnrg-ccnx-timetlv-05

Abstract:
   CCNx utilizes delta time for a number of functions.  When using CCNx
   in environments with constrained nodes and/or bandwidth constrained
   networks, it is valuable to have a compressed representation of delta
   time.  In order to do so, either accuracy or dynamic range has to be
   sacrificed.  Since the current uses of delta time do not require both
   simultaneously, one can consider a logarithmic encoding such as that
   specified in [IEEE.754.2019].  This document updates _CCNx messages
   in TLV Format_ (RFC8609) to specify this alternative encoding.

--
Cenk Gündoğan

Hamburg University of Applied Sciences
Dept. of Computer Science / Internet Technologies Group
Berliner Tor 7, 20099 Hamburg, Germany
Fon: +49 40 42875 - 8426
Mail: [email-masked]
Web: https://www.inet.haw-hamburg.de/